/*
 * Copyright (c) 1993, 1994 The University of Utah and
 * the Computer Systems Laboratory (CSL).  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * CSL requests users of this software to return to csl-dist@cs.utah.edu any
 * improvements that they make and grant CSL redistribution rights.
 *
 *      Utah $Hdr: current.h 1.1.1.1 94/09/09$
 *      Author: Bryan Ford, University of Utah CSL
 */
/*
 *	PA-specific current_* macros
 */

#ifndef	_PARISC_CURRENT_H_
#define _PARISC_CURRENT_H_

extern struct PCB *cur_pcb;

#define current_thread()	(cur_pcb ? cur_pcb->ss.act->thread : 0)
#define current_act()		(cur_pcb->ss.act->mact.user_act)

#endif _PARISC_CURRENT_H_
