/*
 *  (c) Copyright 1992 HEWLETT-PACKARD COMPANY
 *
 *  To anyone who acknowledges that this file is provided "AS IS"
 *  without any express or implied warranty:
 *      permission to use, copy, modify, and distribute this file
 *  for any purpose is hereby granted without fee, provided that
 *  the above copyright notice and this notice appears in all
 *  copies, and that the name of Hewlett-Packard Company not be
 *  used in advertising or publicity pertaining to distribution
 *  of the software without specific, written prior permission.
 *  Hewlett-Packard Company makes no representations about the
 *  suitability of this software for any purpose.
 */
/*
 *  This file used by Patrick Dalton
 *  to get unasm to work in the kernel.
 *  It has been modified to include kdbmachine.h instead of machine.h
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * Copyright (c) 1988 Carnegie-Mellon University
 * Copyright (c) 1987 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */

/*
 * sdb/adb - common definitions for old srb style code
 */

/*	mode.h	4.2	81/05/14	*/

#include <machine/kdbmachine.h>
#define MAXCOM	64
#define MAXARG	32
#define LINSIZ	512

typedef	char		*string_t;
typedef	char		msg[];

typedef	struct bkpt	bkpt;
typedef	bkpt		*bkpt_t;

struct bkpt {
	long	loc;
	long	ins;
	short	count;
	short	initcnt;
	short	flag;
	char	comm[MAXCOM];
	bkpt	*nxtbkpt;
};

typedef	struct reglist	REGLIST;
typedef	REGLIST		*REGPTR;
struct reglist {
	string_t	rname;
	short	roffs;
	int	alias;
};
