/*
 * Copyright (c) 1991, 1992, 1994 The University of Utah and
 * the Computer Systems Laboratory at the University of Utah (CSL).
 * All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software is hereby
 * granted provided that (1) source code retains these copyright, permission,
 * and disclaimer notices, and (2) redistributions including binaries
 * reproduce the notices in supporting documentation, and (3) all advertising
 * materials mentioning features or use of this software display the following
 * acknowledgement: ``This product includes software developed by the
 * Computer Systems Laboratory at the University of Utah.''
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE!
 *
 * CSL requests users of this software to return to csl-dist@cs.utah.edu any
 * improvements that they make and grant CSL redistribution rights.
 *
 *      Utah $Hdr: fork.s 1.6 94/12/14$
 */
/*
 * routine to fork a task and call mach_init in the child...
 */
	.space	$PRIVATE$
	.subspa	$DATA$

	.space	$TEXT$
	.subspa $CODE$

#define  SYS_fork	2

	.export	fork
fork
	.proc
	.callinfo calls, frame=64, save_rp
	.entry
	stw	%r2,-20(%r30)
	ldil	L%0xC0000000,%r1		/* first so fork syscall */
	ble	4(%sr7,%r1)
	ldi	SYS_fork,%r22

	comib,=,n 0,%r29,parent		       /* if ret1=0 then in parent */

	.import mach_init
	ldil	L%mach_init,%r26		/* if child call mach_init */
	ldo	R%mach_init(%r26),%r26

	ldo	64(%r30),%r30
	.call
	blr	%r0,%r2
	bv,n	0(%r26)
	nop
	ldo	-64(%r30),%r30
	ldi	0,%r28				/* in child, return 0 */

parent
	ldw	-20(%r30),%r2
	bv,n	0(%r2)
	.exit
	.procend

	.end

